Subject: Re: [PATCH] Support ent:relative_path

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 May 2007 12:38:01 -0700

Johannes Schindelin <[email-masked]> writes:

> For me, "v1.5.1:" means something similar to ssh: it is a distant 
> revision. It is not a complete filesystem. I think of revisions as 
> something more general than a directory, but less general than a 
> filesystem. And thus, it makes perfect sense to me that "v1.5.1:Makefile" 
> means the main Makefile, no matter where I am in the current repository.

I see merits in both sides' arguments.  

Saying "path out of THIS version" anchors your mindset at the
top of that version, so in that sense v1.5.1:Makefile should
mean the toplevel no matter where you are.  However...

> Now, I agree that often you want to compare some file in the current 
> directory to the corresponding file in a certain revision. That is why 
> git-diff has a different idea, and indeed, a different notation, too.

... don't you expect "git show HEAD@{yesterday}:git.txt" while
in Documentation/ subdirectory to work?  I wonder if the current
alternative "git show HEAD@{yesterday}:Documentation/git.txt" a
bit unintuitive.